
Klappe = {};

function Klappe.prerequisitesPresent(specializations)
    return true; 
end;

function Klappe:load(xmlFile)

	
end;



function Klappe:readStream(streamId, connection)
	
end;

function Klappe:writeStream(streamId, connection)	
	
end;

function Klappe:delete()
	
end;

function Klappe:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Klappe:keyEvent(unicode, sym, modifier, isDown)
end;

function Klappe:update(dt)


	
	if self:getIsActiveForInput() then
		if InputBinding.isPressed(InputBinding.Klappe_KT_1) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition+(self.animationParts[1].offSet*(dt/10)));
		end;
		
		if InputBinding.isPressed(InputBinding.Klappe_KT_2) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition-(self.animationParts[1].offSet*(dt/10)));
		end;
		if self.animationParts[1].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("Klappe_KT_2")), InputBinding.Klappe_KT_2);
				elseif self.animationParts[1].clipStartTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("Klappe_KT_1")), InputBinding.Klappe_KT_1);
					else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("Klappe_KT_2")), InputBinding.Klappe_KT_2);
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("Klappe_KT_1")), InputBinding.Klappe_KT_1)
		end;
		
	end;

end;

function Klappe:updateTick(dt)


end;

function Klappe:draw()


end;

function Klappe:onLeave()
	
end;